const
	maxn = 200000;
var
	n, i: longint;
	r, p: array [1..maxn] of longint;

function rten(x: longint): longint;
var
	l, r, i: longint;
begin
	l := random(x + 1);
	r := 1;
	for i := 1 to l do begin
		r := r * 10;
	end;
	rten := r;
end;

begin
	randseed := 44444444;

	n := 100000;
	for i := 1 to n do begin
		r[i] := 1000000000 - i;
		p[i] := 1000000000 - 2 * i;
	end;

	writeln(n);
	for i := 1 to n do begin
		writeln(r[i], ' ', p[i]);
	end;
end.